import { IFilterOperator } from './filter-operator';
export interface IFilterOperators {
    [key: string]: IFilterOperator;
}
/**
 * Represents the list of supported simple filter operators.
 */
export declare class FilterOperators {
    /**
     * The `eq` operator.
     */
    static readonly equals: IFilterOperator;
    /**
     * The `gt` operator.
     */
    static readonly greaterThan: IFilterOperator;
    /**
     * The `ge` operator.
     */
    static readonly greaterThanOrEquals: IFilterOperator;
    /**
     * The `lt` operator.
     */
    static readonly lessThan: IFilterOperator;
    /**
     * The `le` operator.
     */
    static readonly lessThanOrEquals: IFilterOperator;
    /**
     * The `ne` operator.
     */
    static readonly notEquals: IFilterOperator;
    /**
     * The `in` operator.
     */
    static readonly in: IFilterOperator;
    /**
     * The `not in` operator.
     */
    static readonly notIn: IFilterOperator;
    /**
     * The `is not null` operator.
     */
    static readonly notNull: IFilterOperator;
    /**
     * The `is null` operator.
     */
    static readonly isNull: IFilterOperator;
    /**
     * The `contains` operator.
     */
    static readonly contains: IFilterOperator;
    /**
     * The `not contain` operator.
     */
    static readonly notContains: IFilterOperator;
    /**
     * The `ends with` operator.
     */
    static readonly endsWith: IFilterOperator;
    /**
     * The `not ends with` operator.
     */
    static readonly notEndsWith: IFilterOperator;
    /**
     * The `startswith` operator.
     */
    static readonly startsWith: IFilterOperator;
    /**
     * The `not start with` operator.
     */
    static readonly notStartsWith: IFilterOperator;
    /**
     * The `empty` operator.
     */
    static readonly isEmpty: IFilterOperator;
    /**
     * The `not empty` operator.
     */
    static readonly notEmpty: IFilterOperator;
}
export declare const filterOperators: IFilterOperators;
